Airwallex logo
Airwallex logoAirwallex logo

Financial Reports

Copy for LLMView as Markdown

The Financial Reports resources provide the capability to create and get the contents of reports on your Airwallex account's historical transaction activity

Endpoints
GET /api/v1/finance/financial_reports
GET /api/v1/finance/financial_reports/{id}
GET /api/v1/finance/financial_reports/{id}/content
POST /api/v1/finance/financial_reports/create

Get list of financial reports

GET /api/v1/finance/financial_reports

Get list of previously generated balance activity, transaction reconciliation, settlement, account statement, and aggregated settlement reports

Parameters
page_numinteger

Page number, starts from 0

page_sizeinteger

Number of results per page, default is 100, max is 1000

Response body - 200 OK
has_moreboolean

A flag which identifies whether there are more results.

itemsarray

List items

items.file_formatstring

File format of the report. One of CSV, PDF, EXCEL

items.file_namestring

File name

items.idstring

Unique identifier of the financial report

items.report_expires_atstring

Contents expiration date. Will be empty string if report is in PENDING state or the report does not expire

items.report_parametersobject

Parameters used to generate report

items.report_parameters.currenciesarray

Currencies included in the report

items.report_parameters.from_created_atstring

Start date of the report (inclusive)

items.report_parameters.time_zonestring

Timezone of the user

items.report_parameters.to_created_atstring

End date of the report (inclusive)

items.report_parameters.transaction_typesarray

Transaction types included in the report

items.report_versionstring

Version of the report

items.statusstring

Status of the report, either PENDING or COMPLETED

items.typestring

One of ACCOUNT_STATEMENT_REPORT, BALANCE_ACTIVITY_REPORT, TRANSACTION_RECON_REPORT, ONLINE_PAYMENTS_TRANSACTION_REPORT, SETTLEMENT_REPORT or AGGREGATED_SETTLEMENT_REPORT

Errors
Error statusDescription
400

invalid_argument

401

credentials_invalid

500

service_unavailable

GET /api/v1/finance/financial_reports
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/finance/financial_reports' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "has_more": true,
3 "items": [
4 {
5 "file_format": "CSV",
6 "file_name": "BALANCE_ACTIVITY_REPORT_2022_02_23.csv",
7 "id": "ff13f14b-1624-4c24-b601-b4c018d2ea092",
8 "report_expires_at": "2022-03-23T23:59:59+1100",
9 "report_parameters": {
10 "currencies": [
11 "AUD",
12 "USD",
13 "EUR"
14 ],
15 "time_zone": "UTC",
16 "transaction_types": [
17 "conversion"
18 ],
19 "from_created_at": "2022-02-22",
20 "to_created_at": "2022-02-25"
21 },
22 "report_version": "1.0.0",
23 "status": "COMPLETED",
24 "type": "BALANCE_ACTIVITY_REPORT"
25 }
26 ]
27}
Was this section helpful?

Get financial report by ID

GET /api/v1/finance/financial_reports/{id}

Get a single generated balance activity, transaction reconciliation, settlement or aggregated settlement report

Parameters
idrequiredstring

Unique identifier of financial report

Response body - 200 OK
file_formatstring

File format of the report. One of CSV, PDF, EXCEL

file_namestring

File name

idstring

Unique identifier of the financial report

report_expires_atstring

Contents expiration date. Will be empty string if report is in PENDING state or the report does not expire

report_parametersobject

Parameters used to generate report

report_parameters.currenciesarray

Currencies included in the report

report_parameters.from_created_atstring

Start date of the report (inclusive)

report_parameters.time_zonestring

Timezone of the user

report_parameters.to_created_atstring

End date of the report (inclusive)

report_parameters.transaction_typesarray

Transaction types included in the report

report_versionstring

Version of the report

statusstring

Status of the report, either PENDING or COMPLETED

typestring

One of ACCOUNT_STATEMENT_REPORT, BALANCE_ACTIVITY_REPORT, TRANSACTION_RECON_REPORT, ONLINE_PAYMENTS_TRANSACTION_REPORT, SETTLEMENT_REPORT or AGGREGATED_SETTLEMENT_REPORT

Errors
Error statusDescription
400

invalid_argument

401

credentials_invalid

404

not_found

500

service_unavailable

GET /api/v1/finance/financial_reports/{id}
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/finance/financial_reports/financial_report_id' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "file_format": "CSV",
3 "file_name": "BALANCE_ACTIVITY_REPORT_2022_02_23.csv",
4 "id": "ff13f14b-1624-4c24-b601-b4c018d2ea092",
5 "report_expires_at": "2022-03-23T23:59:59+1100",
6 "report_parameters": {
7 "currencies": [
8 "AUD",
9 "USD",
10 "EUR"
11 ],
12 "time_zone": "UTC",
13 "transaction_types": [
14 "conversion"
15 ],
16 "from_created_at": "2022-02-22",
17 "to_created_at": "2022-02-25"
18 },
19 "report_version": "1.0.0",
20 "status": "COMPLETED",
21 "type": "BALANCE_ACTIVITY_REPORT"
22}
Was this section helpful?

Get contents of a financial report

GET /api/v1/finance/financial_reports/{id}/content

Download a previously generated balance activity, transaction reconciliation, settlement or aggregated settlement reports

Parameters
idrequiredstring

Unique identifier of financial report

Response body - 200 OK

A file of content type matching the file_format of the financial report. The response Content-Type may be one of:

  • application/pdf: PDF (.pdf)
  • application/vnd.openxmlformats-officedocument.spreadsheetml.sheet: Microsoft Excel (.xlsx)
  • text/plain: CSV (.csv)
  • application/octet-stream: Generic binary file
Errors
Error statusDescription
400

invalid_argument

401

credentials_invalid

404

not_found

500

service_unavailable

GET /api/v1/finance/financial_reports/{id}/content
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/finance/financial_reports/financial_report_id/content' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1"<string>"
Was this section helpful?

Create a financial report

POST /api/v1/finance/financial_reports/create

Create a balance activity, transaction reconciliation, or settlement report

Request body
file_formatrequiredstring

File format of financial report to create. Supported formats for Balance Activity Reports: CSV, EXCEL, PDF. Supported formats for Settlement and Transaction Reconciliation Reports: CSV, EXCEL. Supported formats for Online Payment Transaction Reports: EXCEL. Supported formats for Account Statement Reports: PDF

from_created_atrequiredstring

Start date of the report (inclusive)

to_created_atrequiredstring

End date of the report (inclusive)

typerequiredstring

Type of financial report to create. Currently ACCOUNT_STATEMENT_REPORT BALANCE_ACTIVITY_REPORT TRANSACTION_RECON_REPORT ONLINE_PAYMENTS_TRANSACTION_REPORT SETTLEMENT_REPORT are supported

currenciesarray

Currencies to be included in the report. This filter is required for ACCOUNT_STATEMENT_REPORT and is supported as an optional filter for BALANCE_ACTIVITY_REPORT and SETTLEMENT_REPORT. Other report types do not support this filter.

file_namestring

File name of the report. If left empty, a file name will be automatic generated following {REPORT_TYPE}_{DATE}

report_optionsobject

Additional options for configuring report generation behavior

report_options.include_reservationsboolean

Whether to include reservation transactions in the report. Defaults to true if not specified. This parameter is only applicable to BALANCE_ACTIVITY_REPORT for versions v1.2 and onwards.

report_versionstring

Version of the report (Not applicable to SETTLEMENT_REPORT). If left empty, defaults to 1.0.0 for all report types. See the Financial Report Product Docs for details on available report versions and the contents of each version.

settlement_currenciesarray

Settlement currencies to be included in the report. The report will include all settlement currencies if left empty. This filter is only supported by TRANSACTION_RECON_REPORT

statusesarray

Transaction statuses to be included in the report. The report will include all statuses if left empty. This filter is only supported by TRANSACTION_RECON_REPORT

timezonestring

Timezone of the user requesting the report (Not applicable to SETTLEMENT_REPORT)

transaction_currenciesarray

Transaction currencies to be included in the report. The report will include all transaction currencies if left empty. This filter is only supported by TRANSACTION_RECON_REPORT

transaction_typesarray

Transaction types to be included in the report. Will include all transaction types if left empty. Supported Balance Activity Transaction Types: ADJUSTMENT, CARD, CHARGE, CONVERSION, DEPOSIT, DIRECT_DEBIT, FEE, PAYIN, PAYOUT, TRANSFER, YIELD. Supported Transaction Reconciliation Report Transaction Types: ADJUSTMENT, CARD, CONVERSION, DEPOSIT, FEE, PAYMENT, PAYOUT. Please leave blank when type is ONLINE_PAYMENTS_TRANSACTION_REPORT or SETTLEMENT_REPORT

Response body - 200 OK
file_formatstring

File format of the report. One of CSV, PDF, EXCEL

file_namestring

File name

idstring

Unique identifier of the financial report

report_expires_atstring

Contents expiration date. Will be empty string if report is in PENDING state or the report does not expire

report_parametersobject

Parameters used to generate report

report_parameters.currenciesarray

Currencies included in the report

report_parameters.from_created_atstring

Start date of the report (inclusive)

report_parameters.time_zonestring

Timezone of the user

report_parameters.to_created_atstring

End date of the report (inclusive)

report_parameters.transaction_typesarray

Transaction types included in the report

report_versionstring

Version of the report

statusstring

Status of the report, either PENDING or COMPLETED

typestring

One of ACCOUNT_STATEMENT_REPORT, BALANCE_ACTIVITY_REPORT, TRANSACTION_RECON_REPORT, ONLINE_PAYMENTS_TRANSACTION_REPORT, SETTLEMENT_REPORT or AGGREGATED_SETTLEMENT_REPORT

Errors
Error statusDescription
400

invalid_argument. For any report type, this is returned if invalid arguments are provided. When type: SETTLEMENT_REPORT, this can be returned if the request ask for a report that is too large to be generated.

401

credentials_invalid

500

service_unavailable

POST /api/v1/finance/financial_reports/create
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/finance/financial_reports/create' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "currencies": [
> "AUD",
> "USD",
> "EUR"
> ],
> "file_format": "CSV",
> "file_name": "BALANCE_ACTIVITY_REPORT_2022_02_23.csv",
> "report_options": {
> "include_reservations": true
> },
> "report_version": "1.0.0",
> "settlement_currencies": [
> "AUD",
> "USD",
> "EUR"
> ],
> "statuses": [
> "SETTLED"
> ],
> "transaction_currencies": [
> "AUD",
> "USD",
> "EUR"
> ],
> "transaction_types": [
> "CONVERSION"
> ],
> "type": "BALANCE_ACTIVITY_REPORT",
> "from_created_at": "2022-02-22",
> "to_created_at": "2022-02-25",
> "timezone": "UTC"
>}'
Response (200 OK)
1{
2 "file_format": "CSV",
3 "file_name": "BALANCE_ACTIVITY_REPORT_2022_02_23.csv",
4 "id": "ff13f14b-1624-4c24-b601-b4c018d2ea092",
5 "report_expires_at": "2022-03-23T23:59:59+1100",
6 "report_parameters": {
7 "currencies": [
8 "AUD",
9 "USD",
10 "EUR"
11 ],
12 "time_zone": "UTC",
13 "transaction_types": [
14 "conversion"
15 ],
16 "from_created_at": "2022-02-22",
17 "to_created_at": "2022-02-25"
18 },
19 "report_version": "1.0.0",
20 "status": "COMPLETED",
21 "type": "BALANCE_ACTIVITY_REPORT"
22}
Was this section helpful?